//------------------------------------------------------------------------------------
// irr::scene::IDynamicMeshBuffer wrappers (parent is IMeshBuffer)
//------------------------------------------------------------------------------------
extern "C" 
{
	// do not delete
	IVertexBuffer* IrrScene_IDynamicMeshBuffer_getVertexBuffer(IDynamicMeshBuffer* mb)
	{
		if (mb)
			return &(mb->getVertexBuffer());
		else return 0;
	}
	
	// do not delete
	IIndexBuffer* IrrScene_IDynamicMeshBuffer_getIndexBuffer(IDynamicMeshBuffer* mb)
	{
		if (mb)
			return &(mb->getIndexBuffer());
		else return 0;
	}

	void IrrScene_IDynamicMeshBuffer_setVertexBuffer(IDynamicMeshBuffer* mb, IVertexBuffer *vertexBuffer)
	{
		if (mb)
			mb->setVertexBuffer(vertexBuffer);
	}
	
	void IrrScene_IDynamicMeshBuffer_setIndexBuffer(IDynamicMeshBuffer* mb, IIndexBuffer *indexBuffer)
	{
		if (mb)
			mb->setIndexBuffer(indexBuffer);
	}
}